
{*****************************************************************************
 * Name           : KNGCtlRg                                                 *
 * Author         : Lesage Stefaan                                           *
 * Last Revision  : 06/07/1999                                               *
 * Description    : This is the unit that will be used to register the com-  *
 *                  ponents and the different Component Editors, Property    *
 *                  editors, ...                                             *
 * History        :                                                          *
 *                                                                           *
 * Date       By              Description                                    *
 * ----       --              -----------                                    *
 * 06/07/1999 Lesage Stefaan  Initial creation of the Unit.                  *
 *****************************************************************************}

unit KNGCtlRg;

interface

procedure Register;

implementation

uses Classes, DsgnIntf, KNGClasses, KNGConst, KNGControls, KNGDBControls, KNGPropE;

procedure Register;
begin
  { Standard Controls }
  RegisterComponents(KNGStdPal, [TKNGLabel]);
  RegisterComponents(KNGStdPal, [TKNGURLLabel]);
  RegisterComponents(KNGStdPal, [TKNGEDIT]);
  RegisterComponents(KNGStdPal, [TKNGPanel]);

  { Data Aware Controls }
  RegisterComponents(KNGDBPal, [TKNGDBNavigator]);
  RegisterComponents(KNGDBPal, [TKNGDBText]);
  RegisterComponents(KNGDBPal, [TKNGDBStatusLabel]);
  RegisterComponents(KNGDBPal, [TKNGDBLookupLabel]);

  { The About Box Property Editor }
  RegisterPropertyEditor( TypeInfo( TKNGAboutString ), nil, '', TKNGAboutStringProperty);
  { Use the Property Editor for the LookupField property }
  RegisterPropertyEditor(TypeInfo(string), TKNGDBLookupLabel, 'LookupField', TFieldProperty);
  { Register the Bevel Property Dialog }
  RegisterPropertyEditor( TypeInfo( TKNGBevel ), nil, '', TKNGBevelProperty);
end;

end.
