
{*****************************************************************************
 * Name           : KNGgUtil                                                 *
 * Author         : Lesage Stefaan                                           *
 * Last Revision  : 06/07/1999                                               *
 * Description    :                                                          *
 * History        :                                                          *
 *                                                                           *
 * Date       By              Description                                    *
 * ----       --              -----------                                    *
 * 06/07/1999 Lesage Stefaan  Initial creation of the Unit.                  *
 *****************************************************************************}

unit KNGgUtil;

interface

uses Graphics, Windows, KNGClasses, KNGControls;


procedure DrawFrame3D(Canvas: TCanvas; var Rect: TRect;
                      HighLightColor, ShadowColor: TColor; Width: Integer;
                      BorderSides: TKNGBorderSides; DefaultColor: TColor);

implementation

uses dialogs;

procedure DrawFrame3d(Canvas: TCanvas; var Rect: TRect;
                      HighLightColor, ShadowColor: TColor; Width: Integer;
                      BorderSides: TKNGBorderSides; DefaultColor: TColor);

  procedure DrawRectangle;
  begin
    with Canvas, Rect do
    begin
      Pen.Color := HighLightColor;
      { Draw the Left Border }
      if bsLeft in BorderSides then
      begin
        MoveTo(Left, Bottom - 1);
        LineTo(Left, Top);
      end;
      { Draw the Top Border }
      if bsTop in BorderSides then
      begin
        MoveTo(Left, Top);
        LineTo(Right, Top);
      end;
      Pen.Color := ShadowColor;
      { Draw the Right Border }
      if bsRight in BorderSides then
      begin
        MoveTo(Right - 1 , Top);
        LineTo(Right - 1 , Bottom);
      end;
      { Draw the Bottom Border }
      if bsBottom in BorderSides then
      begin
        MoveTo(Left, Bottom - 1 );
        LineTo(Right, Bottom - 1 );
      end;
    end;
  end;

  procedure InflateRect;
  begin
    with Rect do
    begin
      if bsLeft in BorderSides then Inc(Left);
      if bsTop in BorderSides then Inc(Top);
      if bsRight in BorderSides then Dec(Right);
      if bsBottom in BorderSides then Dec(Bottom);
    end;
  end;

begin
  Canvas.Pen.Width := 1;
  while Width > 0 do
  begin
    Dec(Width);
    DrawRectangle;
    InflateRect;
  end;
end;

end.
